/* 公共类 */
img{
    object-fit: cover;
    border-radius: .5rem;
}
.text-Bold{
    font-weight: 600;
}
.c-blue{
    color: #248EFF;
}
.l-title{
    font-size: 3rem;
    padding-bottom: 0.75rem;
}
body{
   font-size: 14px;
}
p{
    color: rgb(71 85 105 / 1); 
}
.btn{
    font-size: 1.25rem;
    height: 3rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    border-radius: .5rem;
    color: black;
    border: 0.1px solid #BFD6E5;
    background-color: #ffffff;
    cursor: pointer;
}
.btn:hover{
    background-color: #BAE4FF;
}
.btn-blue{
    background-color: #007BFF;
    color: #ffffff;
}
.btn-blue:hover{
    background-color:#2E9AFF;
}
.welcome{
    display: flex;
    padding-top: 6rem;
}
.welcome-left{
    flex: 1;
}
.welcome-left-title{
    line-height: 1.5rem;
    padding-bottom: 0.75rem;
}
.welcome-left-content{
    line-height: 1.5rem;
    padding-bottom: 2rem;
}
.welcome-right{
    flex: 1;
}
.welcome-right img{
    width: 504px;
    height: 378px;
}
.features{
    display: flex;
    padding-top: 6rem;
    padding-bottom: 6rem;
}
.features-left{
    flex: 1;
    padding-right: 6rem;
}
.features-left button{
    margin-top: 3rem;
}
.features-left-top h1{
    padding-top: 2rem;
}
.features-left-top p{
    padding-right: 6rem;
}
.features-left-bottom{
    margin-top: 6rem;
    padding-top: 2rem;
    border-width: 0px;
    border-top-width: 1px;
    border-color: rgb(0 0 0 / 0.1);
    border-style: solid;
    display: flex;
}
.features-left-bottom .item{
    display: flex;
    flex: 1;
    justify-content: center;
    margin: 0 2rem; 
    align-items: center;
}
        /* 确保第一个和最后一个元素没有外边距影响 */
        .item:first-child {
            margin-left: 0;             /* 第一个元素左边距为0 */
        }
        .item:last-child {
            margin-right: 0;            /* 最后一个元素右边距为0 */
        }
.features-left-bottom .item span{
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: 1.75rem;
}
.features-right{
    flex: 0.5;
}
.features-right img{
    width: 400px;
    height: 600px;
}
.upcoming{
   padding-bottom: 5rem;
}
.upcoming p{
  margin-top: 1.5rem;
  max-width: 42rem;
}
.upcoming-gamelist{
  margin-top: 4rem;
  display: flex;
}
.upcoming-gamelist-item{
    flex: 1;
}
.upcoming-gamelist-item img{
   width: 384px;
   height: 256px;
}
.upcoming-gamelist-item h3{
   margin-top: 1.5rem;
   line-height: 2rem;
}
.introduction{
   padding-top: 2.5rem;
   padding-bottom: 2.5rem;
   text-align: center;
}
.introduction > p{
  font-size: 1.25rem;
  line-height: 1.75rem;
  margin-bottom: 2.5rem; 
}
.introduction h1{
    padding-bottom: 4rem;
}
.introduction-gamecards{
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 2rem;
    padding: 2.5rem;
}
.introduction-gamecards-item{
    border-radius: 0.5rem;
    background-color: #BAE4FF;
    padding: 1.5rem;
    text-align: left;
}

.introduction-gamecards-item span{
    color: #0063DB;
    margin-bottom: 1rem;
}
.introduction-gamecards-item h3{
    margin-bottom: 0.5rem;
}

